# Concord Cookie Consent

A Drupal module that integrates Concord's cookie consent management platform with your website. Please refer to
the [getting started guide](https://www.concord.tech/docs/getting-started) and the [Drupal integration guide](https://www.concord.tech/docs/drupal-concord-integration-guide) for more information.

## Requirements

- Drupal 9.x or 10.x
- PHP 8.0 or higher
- Concord account with valid site UUID

## Installation

1. Download the module:

```bash
composer require drupal/concord_cookie_consent
```

2. Enable the module:

```bash
drush en concord_cookie_consent
```

## Configuration

1. Visit /admin/config/system/concord
2. Enable the module
3. Add your Concord script in the format:

```bash
<script type="text/javascript" src="https://api.concord.tech/site-v1/YOUR-PROJECT-ID/site-client"></script>
```

## Usage

Once configured, the Concord cookie consent banner will automatically appear on your website. No additional configuration is required.

## Troubleshooting

### Script Not Loading?

- Ensure module is enabled
- Verify script URL format
- Check that the embed script is copied from Concord correctly
- Check that the domain for you site has been added to your Concord project
- Clear cache: drush cr

## Support

- [Concord Documentation](https://www.concord.tech/docs)
- [Issue Queue](https://www.drupal.org/project/issues/concord_cookie_consent)
- [Concord Support](https://www.concord.tech/support)
